JackoInfo
Prev | Orchestra Opcodes and Operators | Next

## JackoInfo

JackoInfo — Prints information about the Jack system.

## Description

Prints the Jack daemon and client names, the sampling rate and frames per period, and all active Jack port names, types, states, and connections.

## Syntax

                JackoInfo

## Initialization

May be called any number of times in the orchestra header, for example both before and after creating Jack ports in the Csound orchestra header.

## Examples

Here is an example of the JackoInfo opcode. It uses the file JackInfo.csd.

Example 377. Example of the JackoInfo opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    -n
    </CsOptions>
    <CsInstruments>

    sr  = 48000
    ksmps = 128
    nchnls  = 2
    0dbfs   = 1

    instr 1

    JackoInit "default", "csound"
    JackoInfo

    endin
    </CsInstruments>
    <CsScore>

     i 1 0 0
    e
    </CsScore>
    </CsoundSynthesizer>

## See Also

JackoInit, JackoFreewheel, JackoAudioInConnect, JackoAudioOutConnect, JackoMidiInConnect, JackoMidiOutConnect, JackoOn, JackoAudioIn, JackoAudioOut, JackoMidiOut, JackoNoteOut, JackoTransport.

## Credits

By: Michael Gogins 2010

Prev | Up | Next
JackoFreewheel | Home | JackoInit